Почему ubuntu 11.04 не поставляется с моно 2.8

7

Mono 2.8 был выпущен 22 августа 2010 года, это было до того, как был выпущен Ubuntu 10.10, однако Ubuntu 11.04 отправляется с mono 2.6, который действительно очень старый.

Почему это?

    
задан trampster 01.02.2011 в 06:24
источник

3 ответа

2

Novell, который является основным спонсором моно, решил не предоставлять пакеты Ubuntu. Пакеты, используемые в Ubuntu, происходят из сообщества. Сообщество еще не упаковало ubuntu 2.8 и поэтому ubuntu 11.04 застрял с использованием старых пакетов mono 2.6.

Возможно, это решение

Ссылка

    
ответ дан sdu 01.02.2011 в 09:55
источник
5

Пакеты Mono Group Debian Mono для Debian и Ubuntu. Наша цель - обеспечить качественный и стабильный опыт для пользователей. Это не всегда означает наличие последней версии, доступной в любое время. Помните, что Mono также является основой для большого числа приложений, в том числе для некоторых, которые установлены по умолчанию. Поэтому важно, чтобы он функционировал как можно лучше. В принципе «новый» не всегда является лучшим для распространения.

Кроме того, упаковка и QAing основной обзор вверх по течению - это огромные усилия, и поскольку команда состоит полностью из добровольцев, это нужно делать, когда время появляется.

В настоящее время идет подготовка к созданию 2.10 (недавно был выпущен rc1).

    
ответ дан Iain Lane 01.02.2011 в 10:29
0

У меня есть ubuntu 11.04, с mono 2.6.7 - см. Ссылка

Чтобы получить последнюю версию ironpython 2.7.1, я должен обновить моно.

Итак, я устанавливаю mono 2.10.5, красиво строю Jo Shields на Ссылка

Он сказал, что это для ubuntu 10.04, но, зная из первой ссылки, что 10.04 и 11.04 оба использовали mono 2.6.7, я пробую обновление и бинго! ошибок нет, и запускает Ironpthon:

mono ../IronPython-2.7.1/ipy.exe
IronPython 2.7.1 (2.7.0.40) on .NET 4.0.30319.1
    
ответ дан Massimo 03.12.2011 в 12:43